Assinatura Incremental
Alterar configurações do rascunho incremental
Altera título, vencimento, lembretes, canal e webhook de uma assinatura incremental ainda não enviada.
PATCH
/
signer
/
v1
/
incremental-signatures
/
:uuid
/
settings
Alterar configurações do rascunho incremental
curl --request PATCH \
--url https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"dueDate": "<string>",
"reminderEveryHours": 123,
"notificationChannel": {},
"urlNotification": "<string>"
}
'import requests
url = "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings"
payload = {
"title": "<string>",
"dueDate": "<string>",
"reminderEveryHours": 123,
"notificationChannel": {},
"urlNotification": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
dueDate: '<string>',
reminderEveryHours: 123,
notificationChannel: {},
urlNotification: '<string>'
})
};
fetch('https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'dueDate' => '<string>',
'reminderEveryHours' => 123,
'notificationChannel' => [
],
'urlNotification' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyHTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 1,
"state": "Enviar arquivos",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}
Altera as configurações de um rascunho. Envie só os campos que mudam. Não muda o estado do rascunho.
Parâmetros
A ordem de assinatura (signingMode) não muda depois de criado o rascunho.
Respostas
O rascunho atualizado, no mesmo formato dePOST .../drafts.
Erros
Veja Autenticação e erros.- 400: Vencimento no passado, canal inválido ou
NONEsem webhook. - 404: Não existe assinatura incremental com este uuid no seu projeto. Um envelope comum também responde 404 aqui: ele se edita pelas rotas de
/signer/v1/envelopes. - 409: A assinatura já foi enviada.
HTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 1,
"state": "Enviar arquivos",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}
Exemplo
curl -X PATCH "https://api.valid.com/signer/v1/incremental-signatures/550e8400-e29b-41d4-a716-446655440000/settings" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"reminderEveryHours": 48}'
⌘I
Alterar configurações do rascunho incremental
curl --request PATCH \
--url https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"dueDate": "<string>",
"reminderEveryHours": 123,
"notificationChannel": {},
"urlNotification": "<string>"
}
'import requests
url = "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings"
payload = {
"title": "<string>",
"dueDate": "<string>",
"reminderEveryHours": 123,
"notificationChannel": {},
"urlNotification": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
dueDate: '<string>',
reminderEveryHours: 123,
notificationChannel: {},
urlNotification: '<string>'
})
};
fetch('https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'dueDate' => '<string>',
'reminderEveryHours' => 123,
'notificationChannel' => [
],
'urlNotification' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valid.com/signer/v1/incremental-signatures/:uuid/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"dueDate\": \"<string>\",\n \"reminderEveryHours\": 123,\n \"notificationChannel\": {},\n \"urlNotification\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyHTTP/1.1 200 OK
Content-Type: application/json
{
"envelopeUuid": "550e8400-e29b-41d4-a716-446655440000",
"title": "CCB 2026-0001",
"stateId": 1,
"state": "Enviar arquivos",
"dueDate": "2026-12-31T23:59:59.000Z",
"reminderEveryHours": 24,
"signingMode": "parallel",
"notificationChannel": "EMAIL",
"urlNotification": null,
"createdAt": "2026-11-13T10:30:00.000Z"
}